Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_local_var_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_local_var_mod.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_local_var_mod.F90	(revision 5098)
@@ -1471,53 +1474,53 @@
       DEALLOCATE(h1_diag,runoff_diag,xtrunoff_diag)
 #endif
-!
-      DEALLOCATE(ptconv)
-      DEALLOCATE(ratqsc)
-!
-      DEALLOCATE(wbeff, convoccur, zmax_th)
-      DEALLOCATE(zq2m, zt2m, weak_inversion)
-      DEALLOCATE(zt2m_min_mon, zt2m_max_mon)
-      DEALLOCATE(t2m_min_mon, t2m_max_mon)
-      DEALLOCATE(sens, flwp, fiwp)
-      DEALLOCATE(alp_bl_conv,alp_bl_det)
-      DEALLOCATE(alp_bl_fluct_m,alp_bl_fluct_tke)
-      DEALLOCATE(alp_bl_stat, n2, s2, strig, zcong, zlcl_th)
-      DEALLOCATE(proba_notrig, random_notrig)
-!FC
-      DEALLOCATE(zxfluxq,zxfluxt)
-
-      DEALLOCATE(dnwd0)
-!      DEALLOCATE(upwd, omega, coefh)
-      DEALLOCATE(omega)
-      DEALLOCATE(epmax_diag)
-!      DEALLOCATE(coefm, lambda_th, cldemi)
-      DEALLOCATE(lambda_th, cldemi)
-      DEALLOCATE(cldfra, cldtau, fiwc)
-      DEALLOCATE(fl, re, flwc)
-      DEALLOCATE(ref_liq, ref_ice, theta)
-      DEALLOCATE(ref_liq_pi, ref_ice_pi)
-      DEALLOCATE(zphi, zx_rh, zx_rhl, zx_rhi)
-      DEALLOCATE(pmfd, pmfu)
-
-      DEALLOCATE(t2m, fluxlat)
-      DEALLOCATE(fsollw, evap_pot)
-      DEALLOCATE(fsolsw, wfbils)
-      DEALLOCATE(wfevap)
-
-      DEALLOCATE(pmflxr, pmflxs)
-      DEALLOCATE(wdtrainA, wdtrainS, wdtrainM)
-      DEALLOCATE(upwd, dnwd)
-      DEALLOCATE(ep)
-      DEALLOCATE(da, mp)
-      DEALLOCATE(phi)
-      DEALLOCATE(wght_cvfd)
-      DEALLOCATE(phi2)
-      DEALLOCATE(d1a, dam)
-      DEALLOCATE(ev)
-      DEALLOCATE(elij)
-      DEALLOCATE(qtaa)
-      DEALLOCATE(clw)
-      DEALLOCATE(epmlmMm, eplaMm)
-      DEALLOCATE(sij)
+    !
+    DEALLOCATE(ptconv)
+    DEALLOCATE(ratqsc)
+    !
+    DEALLOCATE(wbeff, convoccur, zmax_th)
+    DEALLOCATE(zq2m, zt2m, weak_inversion)
+    DEALLOCATE(zt2m_min_mon, zt2m_max_mon)
+    DEALLOCATE(t2m_min_mon, t2m_max_mon)
+    DEALLOCATE(sens, flwp, fiwp)
+    DEALLOCATE(alp_bl_conv, alp_bl_det)
+    DEALLOCATE(alp_bl_fluct_m, alp_bl_fluct_tke)
+    DEALLOCATE(alp_bl_stat, n2, s2, strig, zcong, zlcl_th)
+    DEALLOCATE(proba_notrig, random_notrig)
+    !FC
+    DEALLOCATE(zxfluxq, zxfluxt)
+
+    DEALLOCATE(dnwd0)
+    !      DEALLOCATE(upwd, omega, coefh)
+    DEALLOCATE(omega)
+    DEALLOCATE(epmax_diag)
+    !      DEALLOCATE(coefm, lambda_th, cldemi)
+    DEALLOCATE(lambda_th, cldemi)
+    DEALLOCATE(cldfra, cldtau, fiwc)
+    DEALLOCATE(fl, re, flwc)
+    DEALLOCATE(ref_liq, ref_ice, theta)
+    DEALLOCATE(ref_liq_pi, ref_ice_pi)
+    DEALLOCATE(zphi, zx_rh, zx_rhl, zx_rhi)
+    DEALLOCATE(pmfd, pmfu)
+
+    DEALLOCATE(t2m, fluxlat)
+    DEALLOCATE(fsollw, evap_pot)
+    DEALLOCATE(fsolsw, wfbils)
+    DEALLOCATE(wfevap)
+
+    DEALLOCATE(pmflxr, pmflxs)
+    DEALLOCATE(wdtrainA, wdtrainS, wdtrainM)
+    DEALLOCATE(upwd, dnwd)
+    DEALLOCATE(ep)
+    DEALLOCATE(da, mp)
+    DEALLOCATE(phi)
+    DEALLOCATE(wght_cvfd)
+    DEALLOCATE(phi2)
+    DEALLOCATE(d1a, dam)
+    DEALLOCATE(ev)
+    DEALLOCATE(elij)
+    DEALLOCATE(qtaa)
+    DEALLOCATE(clw)
+    DEALLOCATE(epmlmMm, eplaMm)
+    DEALLOCATE(sij)
 #ifdef ISO
       DEALLOCATE(xtwdtrainA)
@@ -1545,51 +1548,51 @@
 
 
-      DEALLOCATE(prfl, psfl, bsfl, fraca, Vprecip)
-      DEALLOCATE(zw2)
-
-      DEALLOCATE(fluxu, fluxv)
-      DEALLOCATE(fluxt)
-
-      DEALLOCATE(uwriteSTD, vwriteSTD)
-      DEALLOCATE(wwriteSTD, phiwriteSTD)
-      DEALLOCATE(qwriteSTD, twriteSTD, rhwriteSTD)
-
-! ug et d'autres encore:
-      DEALLOCATE(beta_prec)
-      DEALLOCATE(rneb)
-      DEALLOCATE(pfraclr,pfracld)
-      DEALLOCATE(cldfraliq)
-      DEALLOCATE(sigma2_icefracturb)
-      DEALLOCATE(mean_icefracturb)
-      DEALLOCATE (zxsnow,snowhgt,qsnow,to_ice,sissnow,runoff,albsol3_lic)
-      DEALLOCATE(distcltop)
-      DEALLOCATE(temp_cltop)
+    DEALLOCATE(prfl, psfl, bsfl, fraca, Vprecip)
+    DEALLOCATE(zw2)
+
+    DEALLOCATE(fluxu, fluxv)
+    DEALLOCATE(fluxt)
+
+    DEALLOCATE(uwriteSTD, vwriteSTD)
+    DEALLOCATE(wwriteSTD, phiwriteSTD)
+    DEALLOCATE(qwriteSTD, twriteSTD, rhwriteSTD)
+
+    ! ug et d'autres encore:
+    DEALLOCATE(beta_prec)
+    DEALLOCATE(rneb)
+    DEALLOCATE(pfraclr, pfracld)
+    DEALLOCATE(cldfraliq)
+    DEALLOCATE(sigma2_icefracturb)
+    DEALLOCATE(mean_icefracturb)
+    DEALLOCATE (zxsnow, snowhgt, qsnow, to_ice, sissnow, runoff, albsol3_lic)
+    DEALLOCATE(distcltop)
+    DEALLOCATE(temp_cltop)
 #ifdef ISO
       DEALLOCATE (zxxtsnow,xtVprecip,xtVprecipi,pxtrfl,pxtsfl)
 #endif
 
-      DEALLOCATE (p_tropopause)
-      DEALLOCATE (z_tropopause)
-      DEALLOCATE (t_tropopause)
-      DEALLOCATE(zn2mout)
-
-! Supersaturation
-      DEALLOCATE(rneb_seri)
-      DEALLOCATE(d_rneb_dyn)
-      DEALLOCATE(qclr, qcld, qss, qvc)
-      DEALLOCATE(rnebclr, rnebss, gamma_ss)
-      DEALLOCATE(N1_ss, N2_ss)
-      DEALLOCATE(drneb_sub, drneb_con, drneb_tur, drneb_avi)
-      DEALLOCATE(zqsatl, zqsats)
-      DEALLOCATE(Tcontr, qcontr, qcontr2, fcontrN, fcontrP)
-
-!--POPRECIP variables
-      DEALLOCATE(qraindiag, qsnowdiag)
-      DEALLOCATE(dqreva, dqssub)
-      DEALLOCATE(dqrauto, dqrcol, dqrmelt, dqrfreez)
-      DEALLOCATE(dqsauto, dqsagg, dqsrim, dqsmelt, dqsfreez)
-
-#ifdef CPP_StratAer
-! variables for strat. aerosol CK
+    DEALLOCATE (p_tropopause)
+    DEALLOCATE (z_tropopause)
+    DEALLOCATE (t_tropopause)
+    DEALLOCATE(zn2mout)
+
+    ! Supersaturation
+    DEALLOCATE(rneb_seri)
+    DEALLOCATE(d_rneb_dyn)
+    DEALLOCATE(qclr, qcld, qss, qvc)
+    DEALLOCATE(rnebclr, rnebss, gamma_ss)
+    DEALLOCATE(N1_ss, N2_ss)
+    DEALLOCATE(drneb_sub, drneb_con, drneb_tur, drneb_avi)
+    DEALLOCATE(zqsatl, zqsats)
+    DEALLOCATE(Tcontr, qcontr, qcontr2, fcontrN, fcontrP)
+
+    !--POPRECIP variables
+    DEALLOCATE(qraindiag, qsnowdiag)
+    DEALLOCATE(dqreva, dqssub)
+    DEALLOCATE(dqrauto, dqrcol, dqrmelt, dqrfreez)
+    DEALLOCATE(dqsauto, dqsagg, dqsrim, dqsmelt, dqsfreez)
+
+    IF (CPPKEY_STRATAER) THEN
+      ! variables for strat. aerosol CK
       DEALLOCATE (d_q_emiss)
       DEALLOCATE (R2SO4)
@@ -1632,7 +1635,7 @@
       DEALLOCATE (budg_h2so4_to_part)
       DEALLOCATE (budg_sed_part)
-#endif
-
-END SUBROUTINE phys_local_var_end
+    END IF
+
+  END SUBROUTINE phys_local_var_end
 
 END MODULE phys_local_var_mod 
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_ctrlout_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_ctrlout_mod.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_ctrlout_mod.F90	(revision 5098)
@@ -1440,5 +1440,4 @@
     'flx_co2_land_cor', 'correction of the CO2 flux from the land', 'kg CO2 m-2 s-1', (/ ('', i=1, 10) /))
 
-#ifdef CPP_StratAer
 !--extinction coefficient
   TYPE(ctrl_out), SAVE :: o_ext_strat_550 = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 1/), &
@@ -1511,5 +1510,4 @@
   TYPE(ctrl_out), SAVE :: o_surf_PM25_sulf = ctrl_out((/ 11, 11, 11, 11, 11, 11, 11, 11, 11, 1/), &
     'surf_PM25_sulf', 'Sulfate PM2.5 concentration at the surface', 'ug/m3', (/ ('', i=1, 10) /))
-#endif
 
 !!!!!!!!!!!!!!!!!!!!!! 3D !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! 
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_mod.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_mod.F90	(revision 5098)
@@ -7,4 +7,5 @@
   USE phys_output_write_mod, ONLY : phys_output_write
   REAL, DIMENSION(nfiles),SAVE :: ecrit_files
+  USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_STRATAER
 
 ! Abderrahmane 12 2007
@@ -228,9 +229,5 @@
     clef_files(8) = ok_histNMC(2)
     clef_files(9) = ok_histNMC(3)
-#ifdef CPP_StratAer
-    clef_files(10)= .TRUE.
-#else
-    clef_files(10)= .FALSE.
-#endif
+    clef_files(10)= CPPKEY_StratAer
 
     !sortir des fichiers "stations" si clef_stations(:)=.TRUE.
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5098)
@@ -95,4 +95,16 @@
     USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_INCA
 
+    USE geometry_mod,      ONLY: longitude, latitude, boundslon, boundslat, ind_cell_glo
+    USE time_phylmdz_mod,  ONLY: ndays
+    USE infotrac_phy,      ONLY: nqCO2
+
+    USE time_phylmdz_mod,    ONLY: annee_ref, day_ini, day_ref, start_time
+    USE vertical_layers_mod, ONLY: aps, bps, ap, bp
+
+    USE lmdz_xios, ONLY: xios_update_calendar, xios_context_finalize, xios_get_field_attr, &
+            xios_field_is_active, xios_context, xios_set_current_context
+    USE wxios, ONLY: missing_val, using_xios
+    USE paramLMDZ_phy_mod
+
 
     !USE cmp_seri_mod
@@ -111,8 +123,4 @@
 #endif
 
-
-    USE geometry_mod,      ONLY: longitude, latitude, boundslon, boundslat, ind_cell_glo
-    USE time_phylmdz_mod,  ONLY: ndays
-    USE infotrac_phy,      ONLY: nqCO2
 #ifdef REPROBUS
     USE chem_rep, ONLY: Init_chem_rep_xjour, d_q_rep, d_ql_rep, d_qi_rep, &
@@ -121,7 +129,4 @@
     USE strataer_emiss_mod, ONLY: strataer_emiss_init
 #endif
-    USE time_phylmdz_mod,    ONLY: annee_ref, day_ini, day_ref, start_time
-    USE vertical_layers_mod, ONLY: aps, bps, ap, bp
-
 
 #ifdef CPP_RRTM
@@ -131,20 +136,8 @@
 
 
-#ifdef CPP_StratAer
     USE phys_local_var_mod, ONLY: d_q_emiss
     USE strataer_local_var_mod
     USE strataer_nuc_mod, ONLY: strataer_nuc_init
     USE strataer_emiss_mod, ONLY: strataer_emiss_init
-#endif
-
-    USE lmdz_xios, ONLY: xios_update_calendar, xios_context_finalize
-    USE lmdz_xios, ONLY: xios_get_field_attr, xios_field_is_active, xios_context
-    USE lmdz_xios, ONLY: xios_set_current_context
-    USE wxios, ONLY: missing_val, using_xios
-
-#ifndef CPP_XIOS
-    USE paramLMDZ_phy_mod
-#endif
-
 
 #ifdef ISO
@@ -1510,9 +1503,9 @@
 #endif
 
-#ifdef CPP_StratAer
+IF (CPPKEY_STRATAER) THEN
        CALL strataer_init
        CALL strataer_nuc_init
        CALL strataer_emiss_init
-#endif
+END IF
 
        print*, '================================================='
@@ -1928,7 +1921,7 @@
        WRITE(lunout,*)'OK freq_outNMC(3)=',freq_outNMC(3)
 
-#ifndef CPP_XIOS
+    IF (.NOT. using_xios) THEN
        CALL ini_paramLMDZ_phy(phys_tstep,nid_ctesGCM)
-#endif
+END IF
 
 #endif
@@ -5800,5 +5793,5 @@
           ELSE
 #ifdef CPP_RRTM
-#ifndef CPP_StratAer
+IF (.NOT. CPPKEY_STRATAER) THEN
           !--prescribed strat aerosols 
           !--only in the case of non-interactive strat aerosols
@@ -5811,5 +5804,5 @@
              CALL abort_physic(modname,abort_message,1)
             ENDIF
-#endif
+END IF
 #else
              abort_message='You should compile with -rrtm if running ' &
@@ -5823,10 +5816,10 @@
 !
 #ifdef CPP_RRTM
-#ifdef CPP_StratAer
+IF (CPPKEY_STRATER) THEN
        !--compute stratospheric mask
        CALL stratosphere_mask(missing_val, pphis, t_seri, pplay, latitude_deg)
        !--interactive strat aerosols
        CALL calcaerosolstrato_rrtm(pplay,t_seri,paprs,debut)
-#endif
+END IF
 #endif
        !--fin STRAT AEROSOL
@@ -6470,10 +6463,10 @@
     IF (ok_qch4) THEN
 !      d_q_ch4: H2O source from CH4 in MMR/s (mass mixing ratio/s or kg H2O/kg air/s)
-#ifdef CPP_StratAer
+IF (CPPKEY_STRATER) THEN
        CALL stratH2O_methox(debut,paprs,d_q_ch4)
-#else
+ELSE
 !      ECMWF routine METHOX
        CALL METHOX(1,klon,klon,klev,q_seri,d_q_ch4,pplay)
-#endif
+END IF
        ! add humidity tendency due to methane
        d_q_ch4_dtime(:,:) = d_q_ch4(:,:)*phys_tstep
@@ -6494,5 +6487,5 @@
     !
     !
-#ifdef CPP_StratAer
+IF (CPPKEY_STRATER) THEN
     IF (ok_qemiss) THEN
        flh2o=1
@@ -6537,5 +6530,5 @@
        END SELECT ! emission scenario (flag_emit)
     ENDIF
-#endif
+END IF
 
 !===============================================================
@@ -6997,5 +6990,5 @@
     ENDDO
 
-#ifdef CPP_StratAer
+IF (CPPKEY_STRATER) THEN
     IF (ok_qemiss) THEN
        DO k = 1, klev
@@ -7003,5 +6996,5 @@
        ENDDO
     ENDIF
-#endif
+END IF
     IF (ok_qch4) THEN
        DO k = 1, klev
@@ -7334,7 +7327,7 @@
 #endif
 
-#ifndef CPP_XIOS
+    IF (.NOT. using_xios) THEN
       CALL write_paramLMDZ_phy(itap,nid_ctesGCM,ok_sync)
-#endif
+END IF
 
 #endif
